﻿import game.Position;
class game.Ball extends MovieClip {
	public var name:MovieClip;
	public var rayon:Number = 10;
	public var orientationx:Number=1;
	public var orientationy:Number=1;
	private var colorArray:Array=new Array("0xff0000","0xffffff")//new Array("0xffffff","0x0000ff");new Array("0x996699","0x999966","0x99CC33","0x3366FF","0xCCCC99");
	public function Ball(){
		_init();
		}
		
	private function _init(){
		name = _root.createEmptyMovieClip("_name"+_root.getNextHighestDepth(), _root.getNextHighestDepth());
		_setUpRayon();
		_setUpNewBall();
		_setPosition();
		}
		
	private function _setUpRayon(){
		rayon=Math.round(Math.random()*20)+5 ;
		}
	private function _setUpNewBall(){
		name.couleur=colorArray[Math.round(Math.random()*(colorArray.length-1))];
		name.beginFill(name.couleur,100);
		name.moveTo(rayon,0);
		for(var i=0;i<360;i+=10){
			name.lineTo(Math.cos(i*Math.PI/180)*rayon , Math.sin(i*Math.PI/180)*rayon);
		}
		name.endFill();
		}
		
	private function _setPosition(){
		new Position(this);
		}
	public static function scalex(target){
		target._xscale+=.4;
		}
	}